Main Page Packages Class Hierarchy Compound List File List Compound Members

# nodevalue08 Class Reference

Inherits DOMTestCase.

List of all members.

## Public Methods
| nodevalue08 (DOMTestDocumentBuilderFactory factory)
void | runTest () throws java.lang.Throwable
String | getTargetURI ()
## Static Public Methods
void | main (String[] args)

## Detailed Description

An notation is accessed, setNodeValue is called with a non-null argument, but getNodeValue should still return null.

Author:
  Curt Arnold

See also:
  http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-F68D080 , http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-5431D1B9

Definition at line 40 of file nodevalue08.java.

## Constructor & Destructor Documentation

nodevalue08::nodevalue08 | ( | DOMTestDocumentBuilderFactory | factory | ) | `[inline]`

| Definition at line 42 of file nodevalue08.java.
    00043  {
    00044       super(factory);
    00045
    00046    }

## Member Function Documentation

String nodevalue08::getTargetURI | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTest. Definition at line 65 of file nodevalue08.java.
    00065                                 {
    00066       return "http://www.w3.org/2001/DOM-Test-Suite/level1/core/nodevalue08";
    00067    }

void nodevalue08::main | ( | String | args[] | ) | `[inline, static]`

| Definition at line 68 of file nodevalue08.java. References DOMTestCase::doMain().
    00068                                           {
    00069         DOMTestCase.doMain(nodevalue08.class,args);
    00070    }

void nodevalue08::runTest | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTestCase. Definition at line 48 of file nodevalue08.java. References DOMTestCase::assertNull(), and DOMTest::load().
    00048                                                     {
    00049       Document doc;
    00050       DocumentType docType;
    00051       Node newNode;
    00052       String newValue;
    00053       NamedNodeMap nodeMap;
    00054       doc = load("staff");
    00055       docType = doc.getDoctype();
    00056       nodeMap = docType.getNotations();
    00057       newNode = nodeMap.getNamedItem("notation1");
    00058       newValue = newNode.getNodeValue();
    00059       assertNull("initiallyNull",newValue);
    00060       newNode.setNodeValue("This should have no effect");
    00061       newValue = newNode.getNodeValue();
    00062       assertNull("nullAfterAttemptedChange",newValue);
    00063
    00064    }

The documentation for this class was generated from the following file:

- nodevalue08.java